Skip to main content
POST
/
storage_policy_assignments
cURL
curl -i -X POST "https://api.box.com/2.0/storage_policy_assignments" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "storage_policy": {
         "type": "storage_policy",
         "id": "1434325"
       },
       "assigned_to": {
         "type": "user",
         "id": "9987987"
       }
     }'
{
  "id": "ZW50ZXJwcmlzZV8xMjM0NTY3ODkw",
  "type": "storage_policy_assignment",
  "storage_policy": {
    "id": "11446498",
    "type": "storage_policy"
  },
  "assigned_to": {
    "id": "11446498",
    "type": "file"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
storage_policy
object
required

ユーザーまたは企業に割り当てるストレージポリシー。

assigned_to
object
required

ストレージポリシーを割り当てるユーザーまたは会社。

Response

作成された新しいストレージポリシー割り当てを返します。

ユーザーまたは企業へのストレージポリシーの割り当て。

id
string
required

ストレージポリシー割り当ての一意の識別子。

Example:

"ZW50ZXJwcmlzZV8xMjM0NTY3ODkw"

type
enum<string>
required

値は常にstorage_policy_assignmentになります。

Available options:
storage_policy_assignment
Example:

"storage_policy_assignment"

storage_policy
ストレージポリシー (Mini) · object

割り当てられたストレージポリシー。

assigned_to
Reference · object

そのポリシーが割り当てられる企業またはユーザー。